## org.eclipse.emf.cdo
Enum CDOState

    java.lang.Object
      java.lang.Enum<CDOState>
          org.eclipse.emf.cdo.CDOState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOState>

    public enum CDOState

extends java.lang.Enum<CDOState>

Enum Constant Summary
`CLEAN`
`CONFLICT`
`DIRTY`
`INVALID`
`INVALID_CONFLICT`
`NEW`
`PREPARED` An intermediary state for internal use only.
`PROXY`
`TRANSIENT`

Method Summary
`static CDOState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CDOState[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSIENT

    public static final CDOState TRANSIENT

### NEW

    public static final CDOState NEW

### CLEAN

    public static final CDOState CLEAN

### DIRTY

    public static final CDOState DIRTY

### PROXY

    public static final CDOState PROXY

### CONFLICT

    public static final CDOState CONFLICT

### INVALID

    public static final CDOState INVALID

Since:
  2.0

### INVALID_CONFLICT

    public static final CDOState INVALID_CONFLICT

Since:
  2.0

### PREPARED

    public static final CDOState PREPARED

  An intermediary state for internal use only. This state marks the first of two phases during an attach operation.

Method Detail

### values

    public static final CDOState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CDOState c : CDOState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CDOState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.